all_output_formats {rmarkdown} | R Documentation

## Determine all output formats for an R Markdown document

### Description

Read the YAML metadata (and any common _output.yml file) for the document and return the output formats that will be generated by a call to `render`.

### Usage

    all_output_formats(input, encoding = getOption("encoding"))

### Arguments

`input` | Input file (Rmd or plain markdown)
`encoding` | The encoding of the input file; see `file`

### Details

This function is useful for front-end tools that require additional knowledge of the output to be produced by `render` (e.g. to customize the preview experience).

### Value

A character vector with the names of all output formats.

[Package rmarkdown version 1.2 Index]